let contextPath = process.env.NODE_ENV === "production" ? "" : "/api";
let config = {
  init: function () {
  },
  title: "易博特前端开发框架",
  companyInfo: "大连易博特科技有限公司",
  logo: "./img/logo.png",
  embedHeader: null,
  context: {
    protocol: window.location.protocol,
    domain: document.domain,
    port: window.location.port,
    webSocketURL: (window.location.origin).replace(/http[s]?:\/\//, 'ws://')
  },
  ajaxUrl: contextPath,
  tomeOut: 30000 * 2,
  lang: 'zh-CN',
  allowI10n: true,
  isSso: false,     //  使用统一身份认证, 设置为true后没有修改密码按钮
  logoutUrl: '',    //  登出后跳转地址
  prefixs: {
    sysCodeList: "code:list",
    sysCodeTree: "code:tree",
    ajax: "ajax"
  },
  respCode: {
    success: "000000",
    timeout: "000100",
    validat: "000300",
    failure: "000400"
  },
  // login page
  loginTitle: document.title,
  loginVideo: '/video/login_video.webm',
  loginVideoLazy: false,
  loginVideoPoster: '/img/login_video_poster.png',
  loginLeftLogo: './img/login_left_logo.png',
  loginBottomLogo: './img/login_bottom_logo.png',
};

export default config;
